Wizard.h
#ifndef WIZARD_H
#define WIZARD_H
#include "core/GpgConstants.h"
#include "main_window/KeyMgmt.h"
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/key_generate/KeygenDialog.h"
#include "ui/dialog/settings/SettingsDialog.h"
namespace GpgFrontend::UI {
class Wizard : public QWizard {
Q_OBJECT
Q_ENUMS(WizardPages)
public:
enum WizardPages { Page_Intro, Page_Choose, Page_GenKey, Page_Conclusion };
explicit Wizard(QWidget* parent = nullptr);
private slots:
void slot_wizard_accepted();
signals:
void SignalOpenHelp(QString page);
};
class IntroPage : public QWizardPage {
Q_OBJECT
public:
explicit IntroPage(QWidget* parent = nullptr);
protected:
[[nodiscard]] int nextId() const override;
};
class ChoosePage : public QWizardPage {
Q_OBJECT
public:
explicit ChoosePage(QWidget* parent = nullptr);
private slots:
void slot_jump_page(const QString& page);
protected:
[[nodiscard]] int nextId() const override;
int next_page_;
};
class KeyGenPage : public QWizardPage {
Q_OBJECT
public:
explicit KeyGenPage(QWidget* parent = nullptr);
[[nodiscard]] int nextId() const override;
private slots:
void slot_generate_key_dialog();
};
class ConclusionPage : public QWizardPage {
Q_OBJECT
public:
explicit ConclusionPage(QWidget* parent = nullptr);
[[nodiscard]] int nextId() const override;
private:
QCheckBox* dont_show_wizard_checkbox_;
QCheckBox* open_help_check_box_;
};
} // namespace GpgFrontend::UI
#endif
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::UI::Wizard::Wizard
Wizard(QWidget *parent=nullptr)
Construct a new Wizard object.
Definition: Wizard.cpp:35
GpgFrontend::UI::KeyGenPage
Definition: Wizard.h:133
GpgFrontend::GlobalSettingStation::SyncSettings
void SyncSettings() noexcept
sync the settings to the file
Definition: GlobalSettingStation.cpp:33
GpgFrontend::UI::KeyGenPage::KeyGenPage
KeyGenPage(QWidget *parent=nullptr)
Construct a new Key Gen Page object.
Definition: Wizard.cpp:190
GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance
static GlobalSettingStation & GetInstance(int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
Get the Instance object.
Definition: GpgFunctionObject.h:170
GpgFrontend::UI::ChoosePage::nextId
int nextId() const override
Definition: Wizard.cpp:179
GpgFrontend::UI::ChoosePage::slot_jump_page
void slot_jump_page(const QString &page)
Definition: Wizard.cpp:181
GpgFrontend::GlobalSettingStation::GetUISettings
libconfig::Setting & GetUISettings() noexcept
Definition: GlobalSettingStation.h:63
GpgFrontend::UI::ChoosePage::ChoosePage
ChoosePage(QWidget *parent=nullptr)
Construct a new Choose Page object.
Definition: Wizard.cpp:124
GpgFrontend::UI::IntroPage
Definition: Wizard.h:78
GpgFrontend::UI::ConclusionPage::nextId
int nextId() const override
Definition: Wizard.cpp:267
GpgFrontend::UI::Wizard
Definition: Wizard.h:44
GpgFrontend::UI::ConclusionPage
Definition: Wizard.h:164
GpgFrontend::UI::IntroPage::nextId
int nextId() const override
Definition: Wizard.cpp:122
GpgFrontend::UI::ConclusionPage::ConclusionPage
ConclusionPage(QWidget *parent=nullptr)
Construct a new Conclusion Page object.
Definition: Wizard.cpp:231
GpgFrontend::UI::IntroPage::IntroPage
IntroPage(QWidget *parent=nullptr)
Construct a new Intro Page object.
Definition: Wizard.cpp:85
GpgFrontend::UI::KeyGenDialog
Definition: KeygenDialog.h:41
GpgFrontend::UI::ChoosePage
Definition: Wizard.h:98
GpgFrontend::UI::KeyGenPage::nextId
int nextId() const override
Definition: Wizard.cpp:223
GpgFrontend::UI::Wizard::SignalOpenHelp
void SignalOpenHelp(QString page)